java.nio.file

## Interface DirectoryStream.Filter<T>

- Type Parameters:
    `T` - the type of the directory entry
  Enclosing interface:
    DirectoryStream<T>

      public static interface DirectoryStream.Filter<T>

  An interface that is implemented by objects that decide if a directory entry should be accepted or filtered. A `Filter` is passed as the parameter to the `Files.newDirectoryStream(Path,DirectoryStream.Filter)` method when opening a directory to iterate over the entries in the directory.
  Since:
    1.7

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(T entry)` Decides if the given directory entry should be accepted or filtered.

- - ### Method Detail

    - #### accept

          boolean accept(T entry)
                         throws IOException

      Decides if the given directory entry should be accepted or filtered.
      Parameters:
        `entry` - the directory entry to be tested
      Returns:
        `true` if the directory entry should be accepted
      Throws:
        `IOException` - If an I/O error occurs

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.